License not valid for new version, update needed

Highlighted
Posted by
Henagon

License not valid for new version, update needed

I don't understand why I'm getting the error "you are using the new teamviewer, de most recent en fastest generation.
Your licence is not valid for this version and needs an update. Click..."

I'm using Teamviewer privately and not for coporate reasons. At work we have an official license which I'm not using privately.

Since a month (could be more, arround the same time I tried the teamviewer app) each pc that is registered with my account keeps showing this error. I don't see what I'm doing wrong but this is extremly annoying. Reinstalling doesn't help nor does removing registered pc's.

I hope someone can help, thx.